%define upstream_name    Dist-Zilla-Config-Slicer
%define upstream_version 0.201

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Pass Portions of Bundle Config to Plugins
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::MVP::Slicer)
BuildRequires: perl(Dist::Zilla::PluginBundle::Filter)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(Dist::Zilla::Util)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This is a subclass of the Config::MVP::Slicer manpage that overrides the
default Config::MVP::Slicer/match_package to expand packages according to
the Dist::Zilla manpage's rules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README META.yml LICENSE META.json Changes
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.201.0-3.mga6
+ Revision: 1025811
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.201.0-2.mga6
+ Revision: 967734
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.201.0-1.mga6
+ Revision: 850196
- update to 0.201

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-5.mga5
+ Revision: 739590
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.200.0-3.mga4
+ Revision: 510975
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-2.mga3
+ Revision: 366031
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 06 2012 jquelin <jquelin> 0.200.0-1.mga2
+ Revision: 228862
- imported package perl-Dist-Zilla-Config-Slicer


* Fri Apr 06 2012 cpan2dist 0.200-1mga
- initial mageia release, generated with cpan2dist
